Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 580606 (CVE-2015-8863) - <app-misc/jq-1.5-r2: heap-buffer-overflow in tokenadd() function
Summary: <app-misc/jq-1.5-r2: heap-buffer-overflow in tokenadd() function
Status: RESOLVED FIXED
Alias: CVE-2015-8863
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-20 09:20 UTC by Agostino Sarubbo
Modified: 2016-12-08 13:10 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2016-04-20 09:20:39 UTC
From ${URL} :

A vulnerability was found in jq. There was an off-by one error, as the NUL terminator byte was not allocated on resize. A maliciously crafted JSON file could cause the application to crash.

External references:

https://github.com/stedolan/jq/issues/995

Upstream fix:

https://github.com/stedolan/jq/commit/8eb1367ca44e772963e704a700ef72ae2e12babd

References(reproducer available):

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=802231


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 2 Thomas Deutschmann gentoo-dev Security 2016-11-29 20:05:52 UTC
Ebuild is already stable, no vulnerable version left in repository.

New GLSA created.
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2016-12-08 13:10:11 UTC
This issue was resolved and addressed in
 GLSA 201612-20 at https://security.gentoo.org/glsa/201612-20
by GLSA coordinator Aaron Bauman (b-man).